import re

from setuptools import setup, find_packages

with open('__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]', fd.read(), re.MULTILINE).group(1)

setup(
    name='ecmwf-meteo-processor',
    version=version,
    author='Jens Verrydt',
    author_email='jens.verrydt@vito.be',
    description='Processors to turn ECMWF csv data into GeoTIFFS and to generate weekly data/classifications out of daily ECMWF meteo data',
    url='',
    packages=find_packages(),
    package_data={},
    install_requires=['requests==2.18.4', 'configparser==3.5.0', 'pandas==0.21.0', 'numpy==1.13.3', 'rasterio==0.36.0']
)
